Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.messaging
Class LookupHandlesMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage
              rice.p2p.past.messaging.LookupHandlesMessage

All Implemented Interfaces:
  Continuation, Message, java.io.Serializable

Direct Known Subclasses:
  GCLookupHandlesMessage

public class LookupHandlesMessage
extends ContinuationMessage

Version:
  $Id: LookupHandlesMessage.java,v 1.6 2005/03/11 00:58:05 jeffh Exp $
Author:
  Alan Mislove, Ansley Post, Peter Druschel
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary

Fields inherited from class rice.p2p.past.messaging.ContinuationMessage
`exception, response`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`LookupHandlesMessage(int uid, Id id, int max, NodeHandle source, Id dest)` Constructor

Method Summary
`Id` | `getId()` Method which returns the id
`int` | `getMax()` Method which returns the number of replicas
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.ContinuationMessage
`getResponse, receiveException, receiveResult, returnResponse`

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LookupHandlesMessage

    public LookupHandlesMessage(int uid,
                                Id id,
                                int max,
                                NodeHandle source,
                                Id dest)

  Constructor

Parameters:
  `uid` - The unique id
  `id` - The location to be stored
  `max` - The number of replicas
  `source` - The source address
  `dest` - The destination address

Method Detail

### getId

    public Id getId()

  Method which returns the id

  Returns:
    The contained id

### getMax

    public int getMax()

  Method which returns the number of replicas

  Returns:
    The number of replicas to fetch

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Returns:
    A string representing this message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.